# Reset validation attempts

If a signer fails the validation process three times, the document will be blocked and the signer will not be able to continue signing. This endpoint allows you to reset the validation attempts for a specific signer, enabling them to restart the validation process.

{% hint style="warning" %}
**Important:** When resetting the attempts, if the signer starts the validation process again, there will be an additional credit cost according to the selected method (see pricing here). The signer will have three (3) new attempts to validate their identity, and if they fail again, the process will be blocked once more.
{% endhint %}

<mark style="color:blue;">**PUT**</mark> `https://api.zapsign.com.br/api/v1/reset-auth-attempts/{{signer_token}}/`

#### Headers

<table><thead><tr><th width="137">Name</th><th width="90">Type</th><th>Description</th></tr></thead><tbody><tr><td>Authorization<mark style="color:red;">*</mark></td><td>string</td><td><p>apiToken ahead of the "Bearer" text. </p><p>Ex: Bearer c7f35c84-7893-4087-b4fb-d1f06c23</p></td></tr></tbody></table>

#### Params

<table><thead><tr><th width="137">Name</th><th width="90">Type</th><th>Description</th></tr></thead><tbody><tr><td>signer_token<mark style="color:red;">*</mark></td><td>string</td><td>Unique token of the signer (obtained when creating the document).</td></tr></tbody></table>

{% tabs %}
{% tab title="200 - Success" %}

```json
{
    "success": "The signer's attempts have been successfully reset."
}
```

{% endtab %}

{% tab title="400 - Error" %}

```json
{
    "error": "Signer has attempts"
}
```

{% endtab %}
{% endtabs %}

### **Important Note**

This endpoint to reset attempts only applies to authentication methods that include retries, specifically when the `selfie_validation_type` parameter matches one of the following values:

* `liveness-document-match`
* `identity-verification`
* `identity-verification-global`

For other authentication methods that do not require selfie capture or biometric validation, this endpoint has no effect.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.zapsign.com.br/english/reset-signer-attempts.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
